> ## Documentation Index
> Fetch the complete documentation index at: https://docs.siro.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an account

> Create an account



## OpenAPI

````yaml post /v1/integrations/accounts
openapi: 3.0.0
info:
  version: 1.0.0
  title: Swagger API
servers:
  - url: https://functions.siro.ai/api-externalApi
    description: Siro API external API endpoint
security: []
externalDocs:
  description: View the raw OpenAPI Specification in JSON format
  url: /swagger.json
paths:
  /v1/integrations/accounts:
    post:
      summary: Create an account
      description: Create an account
      requestBody:
        content:
          application/json:
            schema:
              anyOf:
                - type: object
                  properties:
                    externalId:
                      type: string
                      description: >-
                        The ID of the account in the external system (e.g.
                        Salesforce)
                    name:
                      type: string
                    latitude:
                      type: number
                    longitude:
                      type: number
                    phoneNumbers:
                      type: array
                      items:
                        type: string
                    emailAddresses:
                      type: array
                      items:
                        type: string
                    addresses:
                      type: array
                      items:
                        type: object
                        properties:
                          country:
                            type: string
                          street:
                            type: string
                          city:
                            type: string
                          state:
                            type: string
                          zip:
                            type: string
                        required:
                          - country
                          - street
                          - city
                          - state
                          - zip
                  required:
                    - externalId
                    - latitude
                    - longitude
                - type: object
                  properties:
                    externalId:
                      type: string
                      description: >-
                        The ID of the account in the external system (e.g.
                        Salesforce)
                    name:
                      type: string
                    latitude:
                      type: number
                    longitude:
                      type: number
                    phoneNumbers:
                      type: array
                      items:
                        type: string
                    emailAddresses:
                      type: array
                      items:
                        type: string
                    addresses:
                      type: array
                      items:
                        type: object
                        properties:
                          country:
                            type: string
                          street:
                            type: string
                          city:
                            type: string
                          state:
                            type: string
                          zip:
                            type: string
                        required:
                          - country
                          - street
                          - city
                          - state
                          - zip
                  required:
                    - externalId
                    - addresses
      responses:
        '200':
          description: Create an account
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  externalId:
                    type: string
                    description: >-
                      The ID of the account in the external system (e.g.
                      Salesforce)
                  latitude:
                    type: number
                  longitude:
                    type: number
                  addresses:
                    type: array
                    items:
                      nullable: true
                  phoneNumbers:
                    type: array
                    items:
                      type: string
                  emailAddresses:
                    type: array
                    items:
                      type: string
                  name:
                    type: string
                  createdAt:
                    type: string
                    description: The date the account was created
                  updatedAt:
                    type: string
                    description: The date the account was last updated
                required:
                  - id
                  - externalId
                  - addresses
                  - createdAt
                  - updatedAt
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Organization API token
      description: >-
        Organization integration token from Siro admin (Person icon → API
        Tokens). Send Authorization: Bearer <organization-api-token>. This is
        not the OAuth access token used with api.siro.ai user-scoped endpoints.
      x-default: <organization-api-token>

````